Bug 7974 - X hang: Got unexpected buttonTimer in state 0
Summary: X hang: Got unexpected buttonTimer in state 0
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 7.0.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 13:26 UTC by Trevor Cordes
Modified: 2013-09-29 07:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Trevor Cordes 2006-08-23 13:26:25 UTC
Had X hang on me today.  Started oocalc (OpenOffice) and clicked a menu button,
instantly X hung, mouse would move jerkily but no screen updates or input
handling.  ssh in from another comp I see X taking up 100% CPU.  Log had this as
last (and only odd) thing:

Got unexpected buttonTimer in state 0

Running fully patched FC5, nvidia binary 8762, sawfish.  I understand this isn't
much info to go on, but I thought I'd throw it here anyway.  I really abuse X
with hundreds of windows on 15 virt ws's.  It was up for 4 days before this
crash.  I don't think I've seen this before.  I doubt it's easily reproducible.
Comment 1 Trevor Cordes 2006-08-23 13:28:13 UTC
Further: C-A-BS did nothing.  From ssh doing kill -9 -1 caused the screen to go
black.  Virtual terminal switching did not function.  Command line was ok from
ssh but video was completely hosed, nothing but black.  Had to issue reboot command.
Comment 2 Trevor Cordes 2006-09-06 12:53:26 UTC
This just happened again.  Exact same thing.  I was using oocalc and hit the
INSERT menu item.  This time I got an strace before reboot.  I hope it helps. 
As far as I could tell the output line is repeated unchanged ad infinitum.

Process 3714 attached - interrupt to quit
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f57708) = ? ERESTARTNOINTR (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f57708) = ? ERESTARTNOINTR (To be restarted)
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD,
child_tidptr=0xb7f57708) = ? ERESTARTNOINTR (To be restarted)
Comment 3 Daniel Stone 2007-02-27 01:33:18 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 4 chemtech 2013-03-15 15:06:11 UTC
Trevor Cordes 
Do you still experience this issue with newer soft ?
Please check the status of your issue.
Comment 5 Trevor Cordes 2013-09-29 07:51:19 UTC
Sorry for the delay.  I have not seen this issue for many years now.  I think someone fixed it, either deliberately or accidentally.

I'll attempt to close.  Thank you


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.